## zypper 1.11.13

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT( ZYPPER C CXX )
SET( PACKAGE "zypper" )

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
SET( CMAKE_MODULE_PATH
  ${ZYPP_PREFIX}/share/cmake/Modules
  ${ZYPPER_SOURCE_DIR}/cmake/modules
  ${CMAKE_MODULE_PATH}
)
INCLUDE(ZyppCommon)

# VERSION
INCLUDE( ${ZYPPER_SOURCE_DIR}/VERSION.cmake )
SET( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
ADD_DEFINITIONS( -D_FILE_OFFSET_BITS=64 )
ADD_DEFINITIONS( -DVERSION="${VERSION}" )

SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O2 -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fstack-protector -std=c++11 -fvisibility-inlines-hidden" )
SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g -O2 -Wall -fstack-protector" )

GENERATE_PACKAGING(${PACKAGE} ${VERSION})

FIND_PACKAGE( Zypp REQUIRED )
IF( ZYPP_FOUND )
  INCLUDE_DIRECTORIES(${ZYPP_INCLUDE_DIR})
ELSE( ZYPP_FOUND )
  MESSAGE( FATAL_ERROR "libzypp not found" )
ENDIF( ZYPP_FOUND )

FIND_PACKAGE( Gettext REQUIRED )
IF( GETTEXT_FOUND )
  INCLUDE_DIRECTORIES(${GETTEXT_INCLUDE_DIR})
ELSE( GETTEXT_FOUND )
  MESSAGE( FATAL_ERROR "gettext not found" )
ENDIF( GETTEXT_FOUND )

FIND_PACKAGE( Readline REQUIRED )
IF( READLINE_FOUND )
  INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
ELSE( READLINE_FOUND )
  MESSAGE( FATAL_ERROR "readline not found" )
ENDIF( READLINE_FOUND )

FIND_PACKAGE( Augeas REQUIRED )
IF( AUGEAS_FOUND )
  INCLUDE_DIRECTORIES(${AUGEAS_INCLUDE_DIR})
  FIND_PACKAGE(LibXml2)
  IF (LIBXML2_FOUND)
    INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
  ENDIF( LIBXML2_FOUND)
ELSE( AUGEAS_FOUND )
  MESSAGE( FATAL_ERROR "augeas not found" )
ENDIF( AUGEAS_FOUND )

MACRO(ADD_TESTS)
  FOREACH( loop_var ${ARGV} )
    SET_SOURCE_FILES_PROPERTIES( ${loop_var}_test.cc COMPILE_FLAGS "-DBOOST_TEST_DYN_LINK -DBOOST_TEST_MAIN -DBOOST_AUTO_TEST_MAIN=\"\" " )
    ADD_EXECUTABLE( ${loop_var}_test ${loop_var}_test.cc )
    TARGET_LINK_LIBRARIES( ${loop_var}_test ${ZYPP_LIBRARY} boost_unit_test_framework zypper_lib zypper_test_utils)
    ADD_TEST( ${loop_var}_test ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}_test --catch_system_errors=no)
  ENDFOREACH( loop_var )
ENDMACRO(ADD_TESTS)

ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( po )
ADD_SUBDIRECTORY( doc )
ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )

INCLUDE(CTest)
ENABLE_TESTING()


# documentation too important to be hidden in doc:
INSTALL(
  FILES COPYING HACKING
  DESTINATION ${INSTALL_PREFIX}/share/doc/packages/${PACKAGE}
)

# system-wide zypper.conf
INSTALL(
  FILES zypper.conf
  DESTINATION ${SYSCONFDIR}/zypp
)

# zypper-log tool
INSTALL(
  PROGRAMS tools/zypper-log
  DESTINATION ${INSTALL_PREFIX}/sbin
)

# zypper-aptitude compat tool
INSTALL(
  PROGRAMS tools/aptitude
  DESTINATION ${INSTALL_PREFIX}/bin
)

=== doc/CMakeLists.txt ===
INSTALL(
  FILES zypper.8
  DESTINATION ${MANDIR}/man8
)

INSTALL(
  FILES zypper-log.8
  DESTINATION ${MANDIR}/man8
)

=== po/CMakeLists.txt ===
# Provides the 'translations' target that creates the .gmo files
# out of the pofiles provided by zypp-po.tar.bz2.
# Use USE_TRANSLATION_SET to use an alternate set provided by
# ${USE_TRANSLATION_SET}-po.tar.bz2
#
GETTEXT_CREATE_TARBALL_TRANSLATIONS( "zypper" )

=== src/CMakeLists.txt ===
ADD_DEFINITIONS (
  -DPACKAGE="${PACKAGE}"
  -DLOCALEDIR="${INSTALL_PREFIX}/share/locale"
)

MESSAGE ( "** Locale dir is ${INSTALL_PREFIX}/share/locale" )

INCLUDE_DIRECTORIES(${ZYPPER_SOURCE_DIR}/src)

SET (zypper_HEADERS
  Zypper.h
  main.h
  Command.h
  Config.h
  repos.h
  misc.h
  search.h
  info.h
  Table.h
  locks.h
  update.h
  download.h
  source-download.h
  solve-commit.h
  PackageArgs.h
  SolverRequester.h
  Summary.h
  callbacks/keyring.h
  callbacks/media.h
  callbacks/rpm.h
  callbacks/repo.h
  callbacks/job.h
)

SET( zypper_SRCS
  Zypper.cc
  Command.cc
  Config.cc
  repos.cc
  misc.cc
  search.cc
  info.cc
  Table.cc
  locks.cc
  update.cc
  download.cc
  source-download.cc
  solve-commit.cc
  PackageArgs.cc
  RequestFeedback.cc
  SolverRequester.cc
  Summary.cc
  callbacks/media.cc
  ${zypper_HEADERS}
)

SET( zypper_out_HEADERS
  output/Out.h
  output/OutNormal.h
  output/OutXML.h
  output/prompt.h
  output/AliveCursor.h
  output/Utf8.h
)

SET( zypper_out_SRCS
  output/Out.cc
  output/OutNormal.cc
  output/OutXML.cc
  ${zypper_out_HEADERS}
)

SET( zypper_utils_HEADERS
  utils/Augeas.h
  utils/colors.h
  utils/console.h
  utils/getopt.h
  utils/messages.h
  utils/misc.h
  utils/pager.h
  utils/prompt.h
  utils/richtext.h
  utils/text.h
)

SET( zypper_utils_SRCS
  utils/Augeas.cc
  utils/colors.cc
  utils/console.cc
  utils/getopt.cc
  utils/messages.cc
  utils/misc.cc
  utils/pager.cc
  utils/prompt.cc
  utils/richtext.cc
  utils/text.cc
  ${zypper_utils_HEADERS}
)

ADD_LIBRARY( zypper_lib STATIC ${zypper_SRCS} ${zypper_out_SRCS} ${zypper_utils_SRCS} )
TARGET_LINK_LIBRARIES( zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} )

ADD_EXECUTABLE( zypper main.cc )
TARGET_LINK_LIBRARIES( zypper zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lrt )


INSTALL(
  TARGETS zypper
  RUNTIME DESTINATION ${INSTALL_PREFIX}/bin
)

MESSAGE ( "** ZYpper binary will be installed in ${INSTALL_PREFIX}/bin" )

INSTALL(  FILES
  output/xmlout.rnc
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/zypper/xml
)

# zypp-refresh utility
ADD_EXECUTABLE( zypp-refresh zypp-refresh.cc )
TARGET_LINK_LIBRARIES( zypp-refresh ${ZYPP_LIBRARY} )
SET_TARGET_PROPERTIES( zypp-refresh PROPERTIES LINK_FLAGS "-pie -Wl,-z,relro,-z,now")
SET_TARGET_PROPERTIES( zypp-refresh PROPERTIES COMPILE_FLAGS "-fwhole-program -fpie -fPIE")
INSTALL(
  TARGETS zypp-refresh
  RUNTIME DESTINATION ${INSTALL_PREFIX}/sbin
)

# bash completion script
INSTALL(
  FILES bash-completion.sh
  DESTINATION ${SYSCONFDIR}/bash_completion.d
  RENAME zypper.sh
)


# installation_sources script
INSTALL(
  PROGRAMS installation_sources
  DESTINATION ${INSTALL_PREFIX}/bin
)

# logrotate config file
INSTALL(
  FILES zypper.lr zypp-refresh.lr
  DESTINATION ${SYSCONFDIR}/logrotate.d
)

# augeas lens
INSTALL(
  FILES utils/zypper.aug
  DESTINATION ${INSTALL_PREFIX}/share/${PACKAGE}
)

=== tests/utils/CMakeLists.txt ===
ADD_TESTS( text )

=== debian/changelog ===
zypper (1.11.13-1) unstable; urgency=medium

  * Initial release. (Closes: #761990).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Sep 2014 14:22:36 +0200

=== debian/control ===
Source: zypper
Section: admin
Maintainer: Mike Gabriel <sunweaver@debian.org>
Priority: extra
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
               cdbs,
               cmake,
               libreadline-dev,
               libzypp-dev,
               libaugeas-dev,
               libboost-all-dev,
               librpm-dev,
Homepage: https://github.com/openSUSE/zypper
Vcs-Git: git://anonscm.debian.org/collab-maint/zypper.git
Vcs-Browser: http://anoncms.debian.org/gitweb/?p=collab-maint/zypper.git

Package: zypper
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 zypper-common (>= ${source:Version}),
 python,
Description: command line software manager using libzypp
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.

Package: zypper-common
Architecture: all
Depends:
 ${misc:Depends},
Description: command line software manager using libzypp (common files)
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.
 .
 This package contains the arch-independent files of the zypper software
 manager.

Package: zypper-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: command line software manager using libzypp (documentation)
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.
 .
 This package contains the documentation files of the zypper software
 manager.

## zypper 1.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -94,3 +94,7 @@
   PROGRAMS tools/aptitude
   DESTINATION ${INSTALL_PREFIX}/bin
 )
+INSTALL(
+  DIRECTORY tools/apt-packagemap.d/
+  DESTINATION ${SYSCONFDIR}/zypp/apt-packagemap.d
+)

=== doc/CMakeLists.txt ===

SET (my_MAN8
     zypper.8 zypper-log.8 zypp-refresh.8)

SET (my_MAN
     ${my_MAN8})

ADD_CUSTOM_TARGET( man ALL
   DEPENDS ${my_MAN}
)

FOREACH (my_MANIDX 1 2 3 4 5 6 7 8)
  INSTALL (FILES
    ${my_MAN${my_MANIDX}}
    DESTINATION ${MANDIR}/man${my_MANIDX}
  )
ENDFOREACH (my_MANIDX)

#
# If a2x is installed, auto update manpage from asciidoc manpage.txt:
#
FIND_PROGRAM(A2X a2x)
FOREACH (my_MANTARGET ${my_MAN})
  IF (A2X)
    ADD_CUSTOM_COMMAND (
      OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${my_MANTARGET}
      COMMAND ${A2X} -v -f manpage ${my_MANTARGET}.txt
      DEPENDS ${my_MANTARGET}.txt
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )
  ELSE (A2X)
    ADD_CUSTOM_COMMAND (
      OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${my_MANTARGET}
      DEPENDS ${my_MANTARGET}.txt
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      COMMENT "Forgott to fix manpage after changing ascidoc?   Install a2x for automated creation or 'touch ${my_MANTARGET}'"
    )
  ENDIF (A2X)
ENDFOREACH (my_MANTARGET)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   update.h
   download.h
   source-download.h
+  configtest.h
   solve-commit.h
   PackageArgs.h
   SolverRequester.h
@@ -45,6 +46,7 @@
   update.cc
   download.cc
   source-download.cc
+  configtest.cc
   solve-commit.cc
   PackageArgs.cc
   RequestFeedback.cc
@@ -72,6 +74,7 @@
 
 SET( zypper_utils_HEADERS
   utils/Augeas.h
+  utils/ansi.h
   utils/colors.h
   utils/console.h
   utils/getopt.h

=== tests/lib/CMakeLists.txt ===
ADD_LIBRARY(zypper_test_utils
 TestSetup.h
)

SET_TARGET_PROPERTIES(zypper_test_utils PROPERTIES LINKER_LANGUAGE CXX)
TARGET_LINK_LIBRARIES(zypper_test_utils ${ZYPP_LIBRARY} boost_thread-mt)

=== debian/changelog ===
zypper (1.12.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1002_fix-spelling-errors.patch. Applied upstream.
    + Add 1003_fix-spelling-errors.patch. Fix some new spelling errors that
      appeared since last upload in the upstream sources.
  * debian/copyright{,.in}:
    + Update for this upstream release.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.
  * lintian:
    + Add override for man page errors. Won't be fixed upstream.
    + Drop override binary-without-manpage usr/sbin/zypp-refresh. Man page
      has been provided by upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Jun 2015 10:32:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Priority: extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
                cdbs,
                cmake,

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE =
VER  ?= $(subst $(DTYPE),,$(UVER))


include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_BUILD_PARALLEL = 1

DEB_DH_INSTALL_ARGS   += --fail-missing

DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_INSTALL_PREFIX=/usr \
                         -DLIB=lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH) \
                         -DCMAKE_VERBOSE_MAKEFILE=ON

common-install-indep:: remove-cruft
common-install-arch:: remove-cruft

remove-cruft::
	rm -f $(CURDIR)/debian/tmp/usr/bin/aptitude
	rm -f $(CURDIR)/debian/tmp/usr/bin/installation_sources
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/packages/zypper/COPYING

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
#	@echo "# Cleaning-up..."
#	cd $(PKG)-$(VER) \
#	    && find . -depth -type d -name 'windows' -exec $(RM) -r {} \; -printf 'removed %p\n' \
#	    && $(RM) -r -v \
#	        docs/
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## zypper 1.14.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
   ${CMAKE_MODULE_PATH}
 )
 INCLUDE(ZyppCommon)
+
+OPTION (ENABLE_BUILD_TRANS "Build translation files by default?" ON)
 
 # VERSION
 INCLUDE( ${ZYPPER_SOURCE_DIR}/VERSION.cmake )
@@ -63,9 +65,14 @@
 ENDMACRO(ADD_TESTS)
 
 ADD_SUBDIRECTORY( src )
-ADD_SUBDIRECTORY( po )
 ADD_SUBDIRECTORY( doc )
 ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )
+
+IF ( ENABLE_BUILD_TRANS )
+  ADD_SUBDIRECTORY( po )
+ELSE ( ENABLE_BUILD_TRANS )
+  ADD_SUBDIRECTORY( po EXCLUDE_FROM_ALL )
+ENDIF ( ENABLE_BUILD_TRANS )
 
 INCLUDE(CTest)
 ENABLE_TESTING()
@@ -91,7 +98,7 @@
 
 # zypper-aptitude compat tool
 INSTALL(
-  PROGRAMS tools/aptitude
+  PROGRAMS tools/aptitude tools/apt-get tools/apt
   DESTINATION ${INSTALL_PREFIX}/bin
 )
 INSTALL(

=== po/CMakeLists.txt ===
# Translation set name
SET( POT_NAME "zypper" )

# Creating the .pot file....
# POT_FILE_DEPENDS was set in ../src
SET( POT_FILE ${CMAKE_CURRENT_BINARY_DIR}/${POT_NAME}.pot )

SET( XGETTEXT_CMD "xgettext" )
SET( XGETTEXT_OPTIONS -L C++ --boost --no-wrap --add-comments --add-location --foreign-user )
SET( XGETTEXT_OPTIONS ${XGETTEXT_OPTIONS} --keyword=_ --keyword=_:1,2 --keyword=__ --keyword=N_ --keyword=PL_:1,2 )
SET( XGETTEXT_OPTIONS ${XGETTEXT_OPTIONS} --copyright-holder=\"SuSE Linux GmbH, Nuernberg\" )
SET( XGETTEXT_OPTIONS ${XGETTEXT_OPTIONS} --package-name=${POT_NAME} --default-domain=${POT_NAME} )

SET( _abs_POT_FILE_DEPENDS )
FOREACH( _currentDepends ${POT_FILE_DEPENDS} )
  SET( _abs_POT_FILE_DEPENDS ${_abs_POT_FILE_DEPENDS} ${ZYPPER_SOURCE_DIR}/${_currentDepends} )
ENDFOREACH()

ADD_CUSTOM_COMMAND( OUTPUT ${POT_FILE}
  COMMAND ${XGETTEXT_CMD} ${XGETTEXT_OPTIONS} --output=${POT_FILE} ${POT_FILE_DEPENDS}
  WORKING_DIRECTORY ${ZYPPER_SOURCE_DIR}
  DEPENDS ${_abs_POT_FILE_DEPENDS}
  COMMENT "Extract translatable messages to ${POT_FILE}"
)


# Creating the .gmo files out of the .po files
FILE( GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.po" )

SET( GMO_FILES )
FOREACH( _currentPoFile ${PO_FILES} )
  GET_FILENAME_COMPONENT( _absFile ${_currentPoFile} ABSOLUTE )
  GET_FILENAME_COMPONENT( _lang ${_absFile} NAME_WE )

  SET( _poFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.po )
  SET( _gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo )

  ADD_CUSTOM_COMMAND( OUTPUT ${_gmoFile}
    COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} --quiet -o ${_poFile} ${_absFile} ${POT_FILE}
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_poFile}
    DEPENDS ${POT_FILE} ${_absFile}
    COMMENT "Update ${_gmoFile}"
  )

  INSTALL( FILES ${_gmoFile}
    DESTINATION share/locale/${_lang}/LC_MESSAGES
    RENAME ${POT_NAME}.mo
  )

  SET( GMO_FILES ${GMO_FILES} ${_gmoFile} )
ENDFOREACH()


# Provides the 'translations' target that
# creates the .gmo files out of the .po files
SET( SOURCE_POT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/${POT_NAME}.pot )

ADD_CUSTOM_TARGET( translations ALL
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/PotfileDiff.sh ${SOURCE_POT_FILE} ${POT_FILE} | grep '^[+-][^+-]' || true
  DEPENDS ${GMO_FILES}
  COMMENT ".pot file diff..."
)

ADD_CUSTOM_TARGET( potfile_update
  COMMAND ./PotfileDiff.sh ${SOURCE_POT_FILE} ${POT_FILE} -q || ./PotfileUpadte.sh ${CMAKE_CURRENT_BINARY_DIR}
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS translations
  COMMENT "Checking for uncommitted changes to the .pot file..."
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Collect all files that may contain translatable texts
+FILE( GLOB_RECURSE POT_FILE_DEPENDS RELATIVE ${ZYPPER_SOURCE_DIR} "*.h" "*.cc" )
+SET( POT_FILE_DEPENDS ${POT_FILE_DEPENDS} PARENT_SCOPE )
+
 ADD_DEFINITIONS (
   -DPACKAGE="${PACKAGE}"
   -DLOCALEDIR="${INSTALL_PREFIX}/share/locale"
@@ -21,9 +25,11 @@
   update.h
   download.h
   source-download.h
+  subcommand.h
   configtest.h
   solve-commit.h
   PackageArgs.h
+  ps.h
   SolverRequester.h
   Summary.h
   callbacks/keyring.h
@@ -46,9 +52,11 @@
   update.cc
   download.cc
   source-download.cc
+  subcommand.cc
   configtest.cc
   solve-commit.cc
   PackageArgs.cc
+  ps.cc
   RequestFeedback.cc
   SolverRequester.cc
   Summary.cc
@@ -84,6 +92,7 @@
   utils/prompt.h
   utils/richtext.h
   utils/text.h
+  utils/XmlFilter.h
 )
 
 SET( zypper_utils_SRCS
@@ -101,11 +110,10 @@
 )
 
 ADD_LIBRARY( zypper_lib STATIC ${zypper_SRCS} ${zypper_out_SRCS} ${zypper_utils_SRCS} )
-TARGET_LINK_LIBRARIES( zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} )
+TARGET_LINK_LIBRARIES( zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lxml2 )
 
 ADD_EXECUTABLE( zypper main.cc )
 TARGET_LINK_LIBRARIES( zypper zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lrt )
-
 
 INSTALL(
   TARGETS zypper

=== debian/changelog ===
zypper (1.14.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Enforce building against latest libzypp. Bump versioned B-D to >= 17.6.1.
  * debian/rules:
    + Stop repacking the orig tarball. No clue why we started this.
  * debian/patches:
    + Rebase 1002_some-spelling-fixes.patch.
    + Update 1002_some-spelling-fixes.patch. More spelling issues found and
      fixed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 16:59:52 +0200

zypper (1.14.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Add S (zypper): zypper-doc. (Closes: 849982).
    + Switch to versioned B-D on libzypp (>= 17.0.2). (Closes: #812243).
    + Switch from Priority: extra to optional.
    + Add B-D: asciidoctor.
  * debian/{control,compat}:
    + Bump to DH compat level 10.
  * debian/rules: Create orig tarball in ../ rather then $(CURDIR).
    + Enable unit testing at build time.
    + Avoid using dpkg-parsechangelog.
    + Enable all hardening flags.
    + Move bash completion files to /usr/share/bash-completion/completions/.
      Drop .sh file suffix.
  * debian/{rules,zypper.examples}:
    + Don't install zypper wrapper scripts to replace APT to /usr/bin, rather
      ship them as examples.
  * debian/copyright:
    + Use secure URI to obtain copyright references.
    + Update copyright attributions.
    + Regenerate copyright.in for this upstream release.
  * debian/patches:
    + Drop 1003_fix-spelling-errors.patch. Applied upstream.
    + Add 2001_build-tests-with-all.patch. Upstream's ctest build target does
      not trigger the test code build. Dirty work around is building test code
      with the all target.
    + Add 2002_locale-workaround-in-unit-tests.patch. Work around failing unit
      test (Test #3: text_test) due to non-configured locales in sbuild build
      environment).
  * debian/patches:
    + Add 1002_some-spelling-fixes.patch. Thanks lintian.
  * debian/zypper.lintian-overrides:
    + Slightly adapt override manpage-has-errors-from-man.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 10 Jun 2018 11:35:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: zypper
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
-Priority: extra
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Standards-Version: 4.2.0
+Build-Depends: asciidoctor,
+               debhelper (>= 10~),
                cdbs,
                cmake,
                libreadline-dev,
-               libzypp-dev,
+               libzypp-dev (>= 17.6.1),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
-Vcs-Git: git://anonscm.debian.org/collab-maint/zypper.git
-Vcs-Browser: http://anoncms.debian.org/gitweb/?p=collab-maint/zypper.git
+Vcs-Git: https://salsa.debian.org/debian/zypper.git
+Vcs-Browser: https://salsa.debian.org/debian/zypper
 
 Package: zypper
 Architecture: any
@@ -22,6 +23,8 @@
  ${misc:Depends},
  zypper-common (>= ${source:Version}),
  python,
+Suggests:
+ zypper-doc,
 Description: command line software manager using libzypp
  Zypper is a command line tool for managing software. It can be used to add
  package repositories, search for packages, install, remove, or update packages,

## zypper 1.14.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,7 +80,7 @@
 
 # documentation too important to be hidden in doc:
 INSTALL(
-  FILES COPYING HACKING
+  FILES HACKING
   DESTINATION ${INSTALL_PREFIX}/share/doc/packages/${PACKAGE}
 )

=== doc/CMakeLists.txt ===
FIND_PROGRAM(A2X a2x)
IF (A2X)
MESSAGE("a2x found: ${A2X}")
SET(ASCDOC_CMD ${A2X} -D ${CMAKE_CURRENT_BINARY_DIR} -f manpage)
ENDIF (A2X)

FIND_PROGRAM(ASCIIDOC asciidoctor)
IF (ASCIIDOC)
MESSAGE("asciidoctor found: ${ASCIIDOC}")
SET(ASCDOC_CMD ${ASCIIDOC} -D ${CMAKE_CURRENT_BINARY_DIR} -b manpage -d manpage)
ENDIF (ASCIIDOC)

IF (NOT ASCDOC_CMD)
MESSAGE(FATAL_ERROR "Could not find a2x or asciidoctor, please install either one of them.")
ENDIF()

function(ADD_A2X_MANPAGES)
    set(options)
    set(oneValueArgs MAN_INST_PATH)
    set(multiValueArgs MAN_PAGES1 MAN_PAGES2 MAN_PAGES3 MAN_PAGES4 MAN_PAGES5 MAN_PAGES6 MAN_PAGES7 MAN_PAGES8)
    cmake_parse_arguments(A2X "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )

    set(ALL_MAN_PAGES)

    FOREACH (MAN_IDX RANGE 1 8)
        IF (NOT DEFINED A2X_MAN_PAGES${MAN_IDX})
            CONTINUE()
        ENDIF()

        FOREACH (curr_PAGE ${A2X_MAN_PAGES${MAN_IDX}})
            ADD_CUSTOM_COMMAND (
              OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${curr_PAGE}
              COMMAND ${ASCDOC_CMD} ${CMAKE_CURRENT_SOURCE_DIR}/${curr_PAGE}.txt
              DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${curr_PAGE}.txt
              WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
              COMMENT "Building manpage ${curr_PAGE}"
            )

            ADD_CUSTOM_TARGET(
              ${curr_PAGE}_Target ALL
              DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${curr_PAGE}
            )

            INSTALL (
              FILES ${CMAKE_CURRENT_BINARY_DIR}/${curr_PAGE}
              DESTINATION "${A2X_MAN_INST_PATH}/man${MAN_IDX}"
            )

        ENDFOREACH ()
    ENDFOREACH()
endfunction(ADD_A2X_MANPAGES)

SET (my_MAN8
     zypper.8 zypper-log.8 zypp-refresh.8)

ADD_A2X_MANPAGES(
    MAN_INST_PATH ${MANDIR}
    MAN_PAGES8 ${my_MAN8}
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,12 @@
   callbacks/rpm.h
   callbacks/repo.h
   callbacks/job.h
+  commands/commandhelpformatter.h
+  commands/basecommand.h
+  commands/locks.h
+  commands/locks/add.h
+  commands/locks/list.h
+  commands/locks/remove.h
 )
 
 SET( zypper_SRCS
@@ -61,6 +67,11 @@
   SolverRequester.cc
   Summary.cc
   callbacks/media.cc
+  commands/commandhelpformatter.cc
+  commands/basecommand.cc
+  commands/locks/add.cc
+  commands/locks/list.cc
+  commands/locks/remove.cc
   ${zypper_HEADERS}
 )
 
@@ -93,6 +104,9 @@
   utils/richtext.h
   utils/text.h
   utils/XmlFilter.h
+  utils/flags/zyppflags.h
+  utils/flags/flagtypes.h
+  utils/flags/exceptions.h
 )
 
 SET( zypper_utils_SRCS
@@ -106,6 +120,9 @@
   utils/prompt.cc
   utils/richtext.cc
   utils/text.cc
+  utils/flags/zyppflags.cc
+  utils/flags/flagtypes.cc
+  utils/flags/exceptions.cc
   ${zypper_utils_HEADERS}
 )

=== tests/CMakeLists.txt ===
# ma@: disabled subdirs and tests as thay fail on hudson
ADD_SUBDIRECTORY(lib)

ENABLE_TESTING()
INCLUDE_DIRECTORIES( ${ZYPPER_SOURCE_DIR}/tests/lib )
INCLUDE_DIRECTORIES( ${ZYPPER_SOURCE_DIR}/src )

ADD_DEFINITIONS( -DTESTS_SRC_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -DTESTS_BUILD_DIR="${CMAKE_CURRENT_BINARY_DIR}" )

ADD_SUBDIRECTORY( utils )

ADD_CUSTOM_TARGET( ctest
   COMMAND ctest -a
)

ADD_TESTS( PackageArgs )
ADD_TESTS( SolverRequester )

=== tests/lib/CMakeLists.txt ===
ADD_LIBRARY(zypper_test_utils
 TestSetup.h
)

SET_TARGET_PROPERTIES(zypper_test_utils PROPERTIES LINKER_LANGUAGE CXX)
TARGET_LINK_LIBRARIES(zypper_test_utils ${ZYPP_LIBRARY} boost_thread)

=== debian/changelog ===
zypper (1.14.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1002_some-spelling-fixes.patch and
      2002_locale-workaround-in-unit-tests.patch.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Sep 2018 13:59:04 +0200

zypper (1.14.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file. Omit .gz files at
      auto-generation.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Bump versioned B-D on libzypp to ">= 17.6.3".

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Aug 2018 10:08:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Priority: optional
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Build-Depends: asciidoctor,
                debhelper (>= 10~),
                cdbs,
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.6.1),
+               libzypp-dev (>= 17.6.3),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_BUILD_PARALLEL = 1

DEB_DH_INSTALL_ARGS   += --fail-missing

DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_INSTALL_PREFIX=/usr \
                         -DLIB=lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH) \
                         -DCMAKE_VERBOSE_MAKEFILE=ON

DEB_MAKE_CHECK_TARGET  = ctest

common-install-indep:: tweak-install remove-cruft
common-install-arch:: tweak-install remove-cruft

tweak-install::
	mkdir -p $(CURDIR)/debian/tmp/usr/share/bash-completion/completions
	mv $(CURDIR)/debian/tmp/etc/bash_completion.d/zypper.sh $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/zypper

remove-cruft::
	rmdir $(CURDIR)/debian/tmp/etc/bash_completion.d
	rm -f $(CURDIR)/debian/tmp/usr/bin/apt*
	rm -f $(CURDIR)/debian/tmp/usr/bin/installation_sources
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/packages/zypper/COPYING

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## zypper 1.14.42

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.1)
 PROJECT( ZYPPER C CXX )
 SET( PACKAGE "zypper" )
 
@@ -11,6 +11,7 @@
 INCLUDE(ZyppCommon)
 
 OPTION (ENABLE_BUILD_TRANS "Build translation files by default?" ON)
+OPTION (ENABLE_BUILD_TESTS "Build and run test suite by default?" OFF)
 
 # VERSION
 INCLUDE( ${ZYPPER_SOURCE_DIR}/VERSION.cmake )
@@ -18,8 +19,21 @@
 ADD_DEFINITIONS( -D_FILE_OFFSET_BITS=64 )
 ADD_DEFINITIONS( -DVERSION="${VERSION}" )
 
-SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O2 -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fstack-protector -std=c++11 -fvisibility-inlines-hidden" )
-SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g -O2 -Wall -fstack-protector" )
+SET( CMAKE_CXX_STANDARD ${ZYPPCOMMON_CXX_STANDARD} )
+SET( CMAKE_CXX_EXTENSIONS OFF )
+SET( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3" )
+SET( CMAKE_C_FLAGS_RELEASE   "${CMAKE_C_FLAGS_RELEASE}   -O3" )
+
+SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fstack-protector -fvisibility-inlines-hidden" )
+SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g -Wall -fstack-protector" )
+
+IF ( LEGACY_ENABLE_LONGOPT_ABBREV )
+  # Fixed in 1.14.34: Do not allow the abbreviation of cli arguments (bsc#1164543)
+  # On SLE15/Leap 15.0 and 15.1 we will stay bug-compatible and accept the
+  # abbreviations in order not to break tools. In 15.2 they must be fixed.
+  MESSAGE( STATUS "LEGACY_ENABLE_LONGOPT_ABBREV" )
+  ADD_DEFINITIONS( -DLEGACY_ENABLE_LONGOPT_ABBREV=1 )
+ENDIF ( LEGACY_ENABLE_LONGOPT_ABBREV )
 
 GENERATE_PACKAGING(${PACKAGE} ${VERSION})
 
@@ -66,7 +80,11 @@
 
 ADD_SUBDIRECTORY( src )
 ADD_SUBDIRECTORY( doc )
-ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )
+IF ( ENABLE_BUILD_TESTS )
+  ADD_SUBDIRECTORY( tests )
+ELSE ( ENABLE_BUILD_TESTS )
+  ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )
+ENDIF ( ENABLE_BUILD_TESTS )
 
 IF ( ENABLE_BUILD_TRANS )
   ADD_SUBDIRECTORY( po )
@@ -96,6 +114,12 @@
   DESTINATION ${INSTALL_PREFIX}/sbin
 )
 
+# needs-restarting tool
+INSTALL(
+  PROGRAMS tools/needs-restarting
+  DESTINATION ${INSTALL_PREFIX}/bin
+)
+
 # zypper-aptitude compat tool
 INSTALL(
   PROGRAMS tools/aptitude tools/apt-get tools/apt
@@ -105,3 +129,4 @@
   DIRECTORY tools/apt-packagemap.d/
   DESTINATION ${SYSCONFDIR}/zypp/apt-packagemap.d
 )
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,36 +13,92 @@
 
 SET (zypper_HEADERS
   Zypper.h
+  Guardians.h
   main.h
   Command.h
   Config.h
   repos.h
+  locales.h
   misc.h
   search.h
   info.h
   Table.h
-  locks.h
   update.h
-  download.h
-  source-download.h
-  subcommand.h
-  configtest.h
   solve-commit.h
   PackageArgs.h
-  ps.h
   SolverRequester.h
   Summary.h
+  global-settings.h
+  issue.h
   callbacks/keyring.h
   callbacks/media.h
   callbacks/rpm.h
   callbacks/repo.h
   callbacks/job.h
+  commands/optionsets.h
   commands/commandhelpformatter.h
+  commands/conditions.h
   commands/basecommand.h
   commands/locks.h
+  commands/locks/common.h
   commands/locks/add.h
+  commands/locks/clean.h
   commands/locks/list.h
   commands/locks/remove.h
+  commands/search/search-packages-hinthack.h
+  commands/search/search.h
+  commands/services.h
+  commands/services/common.h
+  commands/services/list.h
+  commands/services/refresh.h
+  commands/services/add.h
+  commands/services/modify.h
+  commands/services/remove.h
+  commands/repos.h
+  commands/repos/list.h
+  commands/repos/add.h
+  commands/repos/clean.h
+  commands/repos/remove.h
+  commands/repos/rename.h
+  commands/repos/modify.h
+  commands/repos/refresh.h
+  commands/reposerviceoptionsets.h
+  commands/utils.h
+  commands/utils/targetos.h
+  commands/utils/versioncmp.h
+  commands/utils/licenses.h
+  commands/utils/download.h
+  commands/utils/source-download.h
+  commands/utils/purge-kernels.h
+  commands/ps.h
+  commands/needs-rebooting.h
+  commands/query.h
+  commands/query/info.h
+  commands/query/miscqueryinit.h
+  commands/query/packages.h
+  commands/query/patches.h
+  commands/query/patterns.h
+  commands/query/products.h
+  commands/solveroptionset.h
+  commands/installremove.h
+  commands/sourceinstall.h
+  commands/distupgrade.h
+  commands/inrverify.h
+  commands/selectpatchoptionset.h
+  commands/patch.h
+  commands/update.h
+  commands/commonflags.h
+  commands/patchcheck.h
+  commands/listupdates.h
+  commands/listpatches.h
+  commands/nullcommands.h
+  commands/shell.h
+  commands/help.h
+  commands/configtest.h
+  commands/subcommand.h
+  commands/locale/localescmd.h
+  commands/locale/addlocalecmd.h
+  commands/locale/removelocalecmd.h
 )
 
 SET( zypper_SRCS
@@ -50,28 +106,77 @@
   Command.cc
   Config.cc
   repos.cc
+  locales.cc
   misc.cc
   search.cc
   info.cc
   Table.cc
-  locks.cc
   update.cc
-  download.cc
-  source-download.cc
-  subcommand.cc
-  configtest.cc
   solve-commit.cc
   PackageArgs.cc
-  ps.cc
   RequestFeedback.cc
   SolverRequester.cc
   Summary.cc
+  global-settings.cc
+  issue.cc
   callbacks/media.cc
+  commands/optionsets.cc
   commands/commandhelpformatter.cc
+  commands/conditions.cc
   commands/basecommand.cc
+  commands/locks/common.cc
   commands/locks/add.cc
+  commands/locks/clean.cc
   commands/locks/list.cc
   commands/locks/remove.cc
+  commands/search/search-packages-hinthack.cc
+  commands/search/search.cc
+  commands/services/common.cc
+  commands/services/list.cc
+  commands/services/refresh.cc
+  commands/services/add.cc
+  commands/services/modify.cc
+  commands/services/remove.cc
+  commands/repos/list.cc
+  commands/repos/add.cc
+  commands/repos/clean.cc
+  commands/repos/remove.cc
+  commands/repos/rename.cc
+  commands/repos/modify.cc
+  commands/repos/refresh.cc
+  commands/reposerviceoptionsets.cc
+  commands/utils/targetos.cc
+  commands/utils/versioncmp.cc
+  commands/utils/licenses.cc
+  commands/utils/download.cc
+  commands/utils/source-download.cc
+  commands/utils/purge-kernels.cc
+  commands/ps.cc
+  commands/needs-rebooting.cc
+  commands/query/info.cc
+  commands/query/packages.cc
+  commands/query/patches.cc
+  commands/query/patterns.cc
+  commands/query/products.cc
+  commands/solveroptionset.cc
+  commands/installremove.cc
+  commands/sourceinstall.cc
+  commands/distupgrade.cc
+  commands/inrverify.cc
+  commands/selectpatchoptionset.cc
+  commands/patch.cc
+  commands/update.cc
+  commands/patchcheck.cc
+  commands/listupdates.cc
+  commands/listpatches.cc
+  commands/nullcommands.cc
+  commands/shell.cc
+  commands/help.cc
+  commands/subcommand.cc
+  commands/configtest.cc
+  commands/locale/localescmd.cc
+  commands/locale/addlocalecmd.cc
+  commands/locale/removelocalecmd.cc
   ${zypper_HEADERS}
 )
 
@@ -99,6 +204,7 @@
   utils/getopt.h
   utils/messages.h
   utils/misc.h
+  utils/MultiParText.h
   utils/pager.h
   utils/prompt.h
   utils/richtext.h

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -15,3 +15,5 @@
 
 ADD_TESTS( PackageArgs )
 ADD_TESTS( SolverRequester )
+ADD_TESTS( ZyppFlags )
+ADD_TESTS( Locales )

=== debian/changelog ===
zypper (1.14.42-2) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 15:04:12 +0200

zypper (1.14.42-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivial patch rebase.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 00:24:42 +0100

zypper (1.14.41-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS against libicu-dev >= 66. (Closes: #959756).
    - Fix FTBFS against boost 1.71 (and 1.74). (Closes: #960427).
  * debian/patches:
    + Drop 0001_bash-port-of-zypper-log.patch. Applied upstream.
    + Drop 2001_build-tests-with-all.patch. Can now be achieved with
      CMake build option.
    + Trivial rebase of 2002_locale-workaround-in-unit-tests.patch.
    + Update / improve 1002_some-spelling-fixes.patch.
  * debian/control:
    + Update versioned B-D on cmake (>= 3.1).
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Update versioned B-D on libzypp-dev (>= 17.25).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
  * debian/rules:
    + Set -DENABLE_BUILD_TESTS switch to 'ON'.
  * debian/watch:
    + Switch to format version 4.
  * lintian:
    + Fix renamed-tag issue.
    + Drop groff-message override.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Jan 2021 23:53:33 +0100

zypper (1.14.11-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_bash-port-of-zypper-log.patch. Drop requirement of Python in
      zypper.
  * debian/control:
    + Drop from D (zypper): python. (Closes: #945728).
    + Bump Standards-Version: to 4.4.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Jan 2020 10:58:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Priority: optional
-Standards-Version: 4.2.1
 Build-Depends: asciidoctor,
                debhelper (>= 10~),
                cdbs,
-               cmake,
+               cmake (>= 3.1),
                libreadline-dev,
-               libzypp-dev (>= 17.6.3),
+               libzypp-dev (>= 17.25),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/zypper.git
 Vcs-Browser: https://salsa.debian.org/debian/zypper
 
@@ -22,7 +23,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  zypper-common (>= ${source:Version}),
- python,
 Suggests:
  zypper-doc,
 Description: command line software manager using libzypp

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 
 DEB_DH_INSTALL_ARGS   += --fail-missing
 
-DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_INSTALL_PREFIX=/usr \
+DEB_CMAKE_EXTRA_FLAGS += -DENABLE_BUILD_TESTS=ON \
+                         -DCMAKE_INSTALL_PREFIX=/usr \
                          -DLIB=lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH) \
                          -DCMAKE_VERBOSE_MAKEFILE=ON

## zypper 1.14.63

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,10 @@
 SET( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3" )
 SET( CMAKE_C_FLAGS_RELEASE   "${CMAKE_C_FLAGS_RELEASE}   -O3" )
 
-SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fstack-protector -fvisibility-inlines-hidden" )
-SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g -Wall -fstack-protector" )
+SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fstack-protector -fvisibility-inlines-hidden" )
+SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -fPIC -g -Wall -fstack-protector" )
+
+SET( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie" )
 
 IF ( LEGACY_ENABLE_LONGOPT_ABBREV )
   # Fixed in 1.14.34: Do not allow the abbreviation of cli arguments (bsc#1164543)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
   PackageArgs.h
   SolverRequester.h
   Summary.h
+  CommitSummary.h
   global-settings.h
   issue.h
   callbacks/keyring.h
@@ -110,13 +111,13 @@
   misc.cc
   search.cc
   info.cc
-  Table.cc
   update.cc
   solve-commit.cc
   PackageArgs.cc
   RequestFeedback.cc
   SolverRequester.cc
   Summary.cc
+  CommitSummary.cc
   global-settings.cc
   issue.cc
   callbacks/media.cc
@@ -190,8 +191,6 @@
 )
 
 SET( zypper_out_SRCS
-  output/Out.cc
-  output/OutNormal.cc
   output/OutXML.cc
   ${zypper_out_HEADERS}
 )
@@ -205,6 +204,7 @@
   utils/messages.h
   utils/misc.h
   utils/MultiParText.h
+  utils/Offering.h
   utils/pager.h
   utils/prompt.h
   utils/richtext.h
@@ -217,15 +217,11 @@
 
 SET( zypper_utils_SRCS
   utils/Augeas.cc
-  utils/colors.cc
-  utils/console.cc
   utils/getopt.cc
   utils/messages.cc
   utils/misc.cc
   utils/pager.cc
   utils/prompt.cc
-  utils/richtext.cc
-  utils/text.cc
   utils/flags/zyppflags.cc
   utils/flags/flagtypes.cc
   utils/flags/exceptions.cc
@@ -236,7 +232,7 @@
 TARGET_LINK_LIBRARIES( zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lxml2 )
 
 ADD_EXECUTABLE( zypper main.cc )
-TARGET_LINK_LIBRARIES( zypper zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lrt )
+TARGET_LINK_LIBRARIES( zypper zypper_lib ${ZYPP_LIBRARY} ${ZYPP_TUI_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lrt )
 
 INSTALL(
   TARGETS zypper
@@ -263,7 +259,7 @@
 # bash completion script
 INSTALL(
   FILES bash-completion.sh
-  DESTINATION ${SYSCONFDIR}/bash_completion.d
+  DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
   RENAME zypper.sh
 )

=== debian/changelog ===
zypper (1.14.63-1) unstable; urgency=medium

  * New upstream release 1.14.63
  * Mark zypper-common and zypper-doc as MA: foreign
  * d/copyright: use wildcards to shorten and fix Lintian warnings
  * d/copyright: update upstream-contact to project mailing list
  * Bash completion is now installed to /usr/share by cmake, adjust
    packaging

 -- Luca Boccassi <bluca@debian.org>  Sun, 27 Aug 2023 12:12:21 +0100

zypper (1.14.62-1) unstable; urgency=medium

  * New upstream release 1.14.62

 -- Luca Boccassi <bluca@debian.org>  Sun, 30 Jul 2023 13:52:29 +0100

zypper (1.14.61-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.1, no changes needed.

  [ Luca Boccassi ]
  * New upstream release 1.14.61 (Closes: #1040437)
  * Bump Standards-Version to 4.6.2, no changes
  * Drop 2002_locale-workaround-in-unit-tests.patch, fixed upstream
  * Refresh 1002_some-spelling-fixes.patch for 1.14.61
  * Add myself as uploader
  * Bump dependency on libzypp to 17.31

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Jul 2023 11:09:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: zypper
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>
 Priority: optional
 Build-Depends: asciidoctor,
                debhelper (>= 10~),
                cdbs,
                cmake (>= 3.1),
                libreadline-dev,
-               libzypp-dev (>= 17.25),
+               libzypp-dev (>= 17.31),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/zypper.git
 Vcs-Browser: https://salsa.debian.org/debian/zypper
 
@@ -34,6 +35,7 @@
 
 Package: zypper-common
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: command line software manager using libzypp (common files)
@@ -49,6 +51,7 @@
 Package: zypper-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: command line software manager using libzypp (documentation)

=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,9 @@
 common-install-arch:: tweak-install remove-cruft
 
 tweak-install::
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/bash-completion/completions
-	mv $(CURDIR)/debian/tmp/etc/bash_completion.d/zypper.sh $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/zypper
+	mv $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/zypper.sh $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/zypper
 
 remove-cruft::
-	rmdir $(CURDIR)/debian/tmp/etc/bash_completion.d
 	rm -f $(CURDIR)/debian/tmp/usr/bin/apt*
 	rm -f $(CURDIR)/debian/tmp/usr/bin/installation_sources
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/packages/zypper/COPYING
-
-get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..
